﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace TaskThreadPoolTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Action action = new Action(() => {
                int count = 0;

                while(true)
                {
                    count++;

                    if (count == 10000000)
                    {
                        MessageBox.Show("Task 종료");
                        return;
                    }

                    Task.Delay(100);
                }
            });


            CancellationTokenSource tokenSource = new CancellationTokenSource();
            Task task = new Task(action, tokenSource.Token);

            MessageBox.Show("Task 시작");
            task.Start();
        }
    }
}
